#ifndef STRINGARRAY_H
#define STRINGARRAY_H

#include <string.h>
#include "types.h"
#include "array.h"

defineArrayType(String);


#include "stringarrayarray.h"
StringArrayArray StringArray_findAndReturnToEndOfLine(StringArray searchTerms, String text){
	StringArrayArray result=StringArrayArray_new();
	
	String textToEOL;
	UInt32 i=0;
	UInt32 j=0;
	UInt32 searchOffset=0;
	UInt8 matchBroken=false;
	UInt8 endReached=false;
	UInt32 matchPost=0;
	UInt32 matchToEOLLength=0;
	
	for(i=0;i<searchTerms->length;i++)
		StringArrayArray_push(result,StringArray_new());
	
	
	for(i=0;text[i];i++){
		for(j=0;j<searchTerms->length;j++){
			if(text[i]==searchTerms->item[j][0]){
				matchBroken=false;
				endReached=false;
				for(searchOffset=0;!matchBroken && !endReached;searchOffset++){
					if(!searchTerms->item[j][searchOffset])
						endReached=true;
					else if(!text[i+searchOffset])
						matchBroken=true;
					else if(text[i+searchOffset]!=searchTerms->item[j][searchOffset])
						matchBroken=true;
				}
				
				if(!matchBroken){
					matchPost=i+searchOffset-1;
					matchToEOLLength=0;
					for(searchOffset=matchPost;text[searchOffset] && text[searchOffset]!='\n';searchOffset++)
						matchToEOLLength++;
					
					textToEOL=(String)calloc(matchToEOLLength+1,1);
					for(searchOffset=0;searchOffset<(matchToEOLLength);searchOffset++)
						textToEOL[searchOffset]=text[matchPost+searchOffset];
					
					textToEOL[searchOffset]='\0';
					StringArray_push(result->item[j],textToEOL);
				}
			}
		}
	}
	
	return result;
}

#endif