#ifndef UINT32ARRAYARRAY_H
#define UINT32ARRAYARRAY_H

#include "types.h"
#include "array.h"
#include "uint32array.h"

defineArrayType(UInt32Array);

#include "stringarray.h"
UInt32ArrayArray UInt32ArrayArray_new_fromStringArrayArray(StringArrayArray strs){
	UInt32 i;
	UInt32ArrayArray self=new (UInt32ArrayArray);
	UInt32ArrayArray_resize(self,strs->length);
	
	for(i=0;i<strs->length;i++)
		self->item[i]=UInt32Array_new_fromStringArray(strs->item[i]);
	
	return self;
}


#endif